CreateAdditionalRequiredDocuments
curl --request POST \
--url https://api-{merchantName}-{environmentName}.global-e.com/additional-required-documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Orders": [
{
"OrderId": "GE123874638GB",
"TrackingNumbers": [
"trackingnumber1",
"trackingnumber2"
]
}
]
}
'import requests
url = "https://api-{merchantName}-{environmentName}.global-e.com/additional-required-documents"
payload = { "Orders": [
{
"OrderId": "GE123874638GB",
"TrackingNumbers": ["trackingnumber1", "trackingnumber2"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Orders: [
{
OrderId: 'GE123874638GB',
TrackingNumbers: ['trackingnumber1', 'trackingnumber2']
}
]
})
};
fetch('https://api-{merchantName}-{environmentName}.global-e.com/additional-required-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Success": true
}{
"Code": "B001",
"Message": "Order ID not found",
"Description": "The Order GE12345US provided by the merchant does not exist."
}Create Additional Required Documents
Initiates the process of requesting additional required shipping documents, such as the German Customs EAD document.
POST
/
additional-required-documents
CreateAdditionalRequiredDocuments
Authorizations
JWT (optional).
Headers
MerchantGUID (optional).
Body
application/json
Array of OrderInfoForAdditionalDocuments objects with information about orders for which additional shipping documents are required.
Show child attributes
Show child attributes
Response
Indicates if an API call was successful or not and why.
⌘I

